
From: Anton Blanchard <anton@samba.org>

Rename device_init to make it more unique.  Useful when looking through
debug initcall bootlogs.  While I'm in the area, also make it static.

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/block/genhd.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/block/genhd.c~genhd-rename-device_init drivers/block/genhd.c
--- 25/drivers/block/genhd.c~genhd-rename-device_init	2005-01-23 01:36:48.441849568 -0800
+++ 25-akpm/drivers/block/genhd.c	2005-01-23 01:36:48.445848960 -0800
@@ -300,7 +300,7 @@ static struct kobject *base_probe(dev_t 
 	return NULL;
 }
 
-int __init device_init(void)
+static int __init genhd_device_init(void)
 {
 	bdev_map = kobj_map_init(base_probe, &block_subsys);
 	blk_dev_init();
@@ -308,7 +308,7 @@ int __init device_init(void)
 	return 0;
 }
 
-subsys_initcall(device_init);
+subsys_initcall(genhd_device_init);
 
 
 
_
